Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2005-AVI-483

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 01 février 2006
No CERTA-2005-AVI-483-009

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans Xpdf et les bibliothèques dérivées


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2005-AVI-483

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2005-AVI-483-009
Titre Multiples vulnérabilités dans Xpdf et les bibliothèques dérivées
Date de la première version 08 décembre 2005
Date de la dernière version 1er février 2006
Source(s) Bulletins de sécurité iDefense du 05 décembre 2005
  Bulletin de sécurité CESA-2005-003 du 06 janvier 2006
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Exécution de code arbitraire, potentiellement à distance ;
  • déni de service.

2 Systèmes affectés

Tout système (Unix, Microsoft DOS/Windows) utilisant Xpdf, jusqu'à la version 3.01, (ou kpdf, gpdf) comme lecteur de document PDF (voire une liste plus étendue dans la section description).

Par ailleurs le service d'impression Unix CUPS est également touché via son convertisseur PDF vers Postscript.

3 Résumé

Un utilisateur mal intentionné peut transmettre à sa victime un document PDF volontairement mal formé dans le but de provoquer une erreur fatale dans le code du lecteur utilisé voire d'exécuter du code arbitraire.

Le problème peut être étendu à l'impression d'un document PDF par le service d'impression CUPS.

4 Description

Quatre vulnérabilités ont été identifiées par IDefense dans le code source de Xpdf. Elles permettent de générer des allocations mémoires trop petites par rapport aux données qui y sont placées. Cela provoque généralement un arrêt brutal du programme voire l'exécution de code.

Par ailleurs, cinq nouvelles vulnérabilités proches (problèmes sur le décodage du format) ont été publiées début janvier 2006.

Parmi les applications affectées on peut identifier :

  • Les lecteurs gpdf et kpdf,
  • la distribution LATEXteTeX,
  • le convertisseur pdftohmtl et celui du traitement de texte KWord,
  • la bibliothèque poppler,
  • le service d'impression CUPS.

5 Solution

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

08 décembre 2005
version initiale.
21 décembre 2005
ajout des références aux bulletins de sécurité Gentoo GLSA 200512-08, RedHat RHSA-2005:867, RedHat RHSA-2005:868 et RedHat RHSA-2005:878.
05 janvier 2006
ajout de la référence au bulletin de sécurité Gentoo GLSA 200601-02.
09 janvier 2006
ajout des références aux bulletins de sécurité Mandriva.
10 janvier 2006
ajout des références aux bulletins de sécurité Debian.
12 janvier 2006
remplacement de l'avis Fedora FEDORA-2005-1122 par l'avis FEDORA-2005-027 du 11 janvier 2006, remplacement des avis RedHat RHSA-2005-867 et RHSA-2005-878 par respectivement les avis RHSA-2006-0163 et RHSA-2006-0177 du 11 janvier 2006 ; ajout des avis Ubuntu USN-236-1 et USN-236-2, SuSE SUSE-SA:2006:001, Mandriva MDKSA-2006:010 et MDKSA-2006:011, Debian DSA-936 et DSA-937, des références CVE CAN-2005-3624 à CAN-2005-3628 et du bulletin sécurité de Chris Evans.
13 janvier 2006
ajout des références aux bulletins de sécurité Debian DSA-938, DSA-940 et Mandriva MDKSA-2006:012.
20 janvier 2006
ajout de la référence au bulletin de sécurité RedHat RHSA-2006:0160.
23 janvier 2006
ajout de la référence au bulletin de sécurité Debian DSA-950.
1er févier 2006
remplacement partiel de l'avis GLSA 200512-08 par l'avis GLSA 200601-17, ajout des références aux avis Debian DSA-961 et DSA-962 et des avis Fedora FEDORA-2005-028, FEDORA-2005-029 et FEDORA-2005-037.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-06-22